Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F157523448
D30613.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
667 B
Referenced Files
None
Subscribers
None
D30613.diff
View Options
diff --git a/.cirrus-ci/pkg-install.sh b/.cirrus-ci/pkg-install.sh
new file mode 100644
--- /dev/null
+++ b/.cirrus-ci/pkg-install.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+pkg install -y "$@" && exit 0
+
+cat <<EOF
+pkg install failed
+
+dmesg tail:
+$(dmesg | tail)
+
+trying again
+EOF
+
+pkg install -y "$@"
diff --git a/.cirrus.yml b/.cirrus.yml
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -17,7 +17,7 @@
name: World and kernel amd64 build and boot smoke test
timeout_in: 120m
install_script:
- - pkg install -y qemu uefi-edk2-qemu-x86_64 llvm12
+ - sh .cirrus-ci/pkg-install.sh qemu uefi-edk2-qemu-x86_64 llvm12
setup_script:
- uname -a
- df -m
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, May 23, 9:33 AM (4 h, 10 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
33444512
Default Alt Text
D30613.diff (667 B)
Attached To
Mode
D30613: Cirrus-CI: retry pkg installation on failure
Attached
Detach File
Event Timeline
Log In to Comment